Bug 55249 - Kudzu trashes mounted FS on /etc/fstab errors
Kudzu trashes mounted FS on /etc/fstab errors
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-28 03:40 EST by Daniel Veillard
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-28 20:36:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Veillard 2001-10-28 03:40:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10enterprise i686)

Description of problem:
I used to have /dev/sdf1 as a swap partition and mount /dev/sdg1
as /var. Following a disk failure, the fstab was modified to mount
sdf1 as /var but the swap entry was not modified to point to
a different partition. The init processes mounts / and /var then
run kudzu which not finding the swap signature override the on-disk
info leading to an nearly immediate crash of the journald running
on that partition.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. use the same /dev/ device for both and ext3 and swap partition in
/etc/fstab
2. reboot
3. enjoy your boot crashing when kudzu get started
	

Actual Results:  the system won't boot. The filesystem need an fsck.

Expected Results:  kudzu to not touch partitions mounted or labeelled as
mountable in /etc/fstab

Additional info:

RedHat 7.1 setup with security updated + kernel and fs updates to
run ext3 and TUX (fr.rpmfind.net).
Comment 1 Bill Nottingham 2001-10-28 16:08:56 EST
kudzu doesn't touch swap partitions, or any partitions.

I believe it's just a delayed crash from it running swapon.
Comment 2 Daniel Veillard 2001-10-28 17:53:03 EST
Hum, swapon would check whether the partition is mounted first, isn't it ?
I followed the following sequence (from memory):
 - boot single, notice one disk is dead, change all device name 
   for SCSI entries post the dead drive but forget the swap partition. reboot.
 - try to boot, mount fs, kudzu, journald crash, reset the box
 - reboot single, fsck manually the corrupted /var, mount it, ^D,
   init launch kudzu start, journald crash, reset the box
 - reboot single, fsck, mount /var, rpm -e kudzu, ^D, system boots normally.
I think I did comment off the swap partition only at that point
but I don't have a precise log to be 100% sure :-\

Daniel
Comment 3 Bill Nottingham 2001-10-28 20:32:40 EST
Kudzu does not mount any filesystems, except for a CD for installing the X server.
Kudzu has no  code that calls swappon/swapoff/etc. So, I don't see  *how* it
can do any of this.
Comment 4 Bill Nottingham 2001-10-28 20:36:47 EST
FWIW, swapon -a is called *before* the partition would be mounted...
Comment 5 Daniel Veillard 2001-10-29 03:44:40 EST
Okay, then I have no idea of what's happened. If the swap had been
activated, the mount could certainly not have worked (swap signature
and ext3 disk layout to "coexist" seems doubtful).
The error was probably mine.

Daniel

Note You need to log in before you can comment on or make changes to this bug.